## developers-reference 11.0.8

=== debian/changelog ===
developers-reference (11.0.8) unstable; urgency=medium

  [ Philipp Kern ]
  * pkgs: Change the email address of the non-free review team.

  [ Leo Singer ]
  * best-pkging-practices: Small typo fix.

  [ Holger Levsen ]
  * resources: correct misleading text about freezes. Closes: #945906
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Thu, 09 Jan 2020 14:56:00 +0100

developers-reference (11.0.7) unstable; urgency=medium

  * best-pkging-practices: recommend "command -v" instead of "which"
    (Closes: #904246) and simplify paragraph.
  * pkgs: RMs may encourage (not allow) less delayed NMUs.
  * l10n: minor update and language improvements. Closes: #623707
  * tools: deprecate debiandoc-sgml further, mention python3-spinx as an
    alternative.
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Fri, 29 Nov 2019 11:33:47 +0100

developers-reference (11.0.6) unstable; urgency=medium

  * pkgs.rst: point out that the tech-ctte prefers fresh bug reports with a
    summary. Closes: #484805.
  * best-pkging-practices.rst: improve paragraph about dummy transitional
    packages. Closes: #703612.
  * Update all .po files for changed strings in the English original.
  * d/control: improve descriptions to include Debian Maintainers as audience
    of the package.
  * README.contributing:
    - drop sentences obsoleted by the fix for #754189.
    - add paragraph about 'Git commit messages and d/changelog entries'.
    - mention debcheckout as a means to get the git source.
    - re-order paragraphs.

 -- Holger Levsen <holger@debian.org>  Thu, 31 Oct 2019 20:13:16 +0100

developers-reference (11.0.5) unstable; urgency=medium

  * developer-duties.rst: add a reminder to retire from teams.
    Closes: #548116. Thanks to Judit Foglszinger for the wording.
  * pkgs.rst: add a note explaining that RMs should be asked before uploading
    to t-p-u. Closes: #541956
  * best-pkging-practices.rst:
    - repacked tarballs may have any directory name inside, but it's best to
      reflect the tarball name. Closes: #470960
    - repacked tarballs are best compressed with xz.
  * l10n.rst: explain to use both 'patch' and 'l10n' tags for l10n bugs.
    Closes: #483235.
  * tools.rst: mention many more packages: adequate, blhc, debian-policy,
    developers-reference, diffoscope, doc-debian, duck, how-can-i-help,
    i18nspector, libconfig-model-dpkg-perl, licensecheck, lintian-brush,
    maint-guide, packaging-tutorial, piuparts, reportbug & suspicious-source.
    Closes: #540248, #750993, #941274.
  * d/developers-reference.png: scale to 64x64 to avoid AppStream hint.
  * README.contributing: describe change handling for src:developers-reference.
    Closes: #754189. Thanks to Lucas Nussbaum.
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Thu, 10 Oct 2019 10:45:23 +0200

developers-reference (11.0.4) unstable; urgency=medium

  * pkgs.rst:
    - improve documentation for (old)stable updates. Closes: #931743.
    - suggest to think about the testing suite before uploading.
      Closes: #731666 - Thanks to Peter Green for the wording.
    - clarify to install and test on unstable. Closes: #550283.
    - mention piuparts can be used for tests before uploads.
  * Makefile:
    - add hint what commit msg to use when updating translations.
    - add new target to show the translation status.
  * README.contributing: explain new status target.
  * d/control:
    - drop Lucas Nussbaum from uploaders. Thanks for all your work, Lucas!
    - bump standards version to 4.4.1, no changes needed.
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Sat, 05 Oct 2019 09:54:32 +0200
