## developers-reference 11.0.9

=== debian/changelog ===
developers-reference (11.0.9) unstable; urgency=medium

  * pkgs: add a suggestion to comment a "wontfix". Closes: #484804.
  * pkgs: add section explaining uploads to stable-updates. Closes: #896013.
    Thanks to Adam D. Barratt for review and improvements.
  * Update all .po files for changed strings in the English original.
  * d/control: bump standards version to 4.5.0, no changes needed.
  * d/changelog:
    - wrap long lines in changelog entries: 3.2, 2.11, thanks to lintian-brush.
    - fix misspelling of Close => Closes, thanks to lintian-brush.

 -- Holger Levsen <holger@debian.org>  Thu, 20 Feb 2020 02:02:08 +0100
