=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Developers Reference Maintainers <debian-policy@lists.debian.org>
 Uploaders: Hideki Yamane <henrich@debian.org>,
  Holger Levsen <holger@debian.org>,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Build-Depends-Indep: latexmk,
  python3-sphinx,
