=== debian/changelog ===
developers-reference (11.0.10) unstable; urgency=medium

  [ Carsten Schoenert ]
  * (de) index.po: Update translation.
  * (de) best-pkging-practices.po: Update translation.
  * (de) beyond-pkging.po: Update translation.
  * (de) developer-duties.po: Update translation.
  * (de) l10n.po: Update translation.
  * (de) new-maintainer.po: Update translation.
  * (de) pkgs.po: Update translation.
  * (de) scope.po: Update translation.
  * (de) tools.po: Update translation.
  * (de) resources.po: Update translation.

  [ Kentaro Hayashi ]
  * (ja) best-pkging-practices.po: resolve fuzzy.
  * (ja) developer-duties.po: resolve fuzzy.
  * (ja) l10n.po: fix fuzzy against missing l10n tag.
  * (ja) new-maintainer.po: resolve fuzzy
  * (ja) pkgs.po: resolve fuzzy.
  * (ja) resources.po: fix wrong translation about "testing", resolve fuzzy.

  [ Holger Levsen ]
  * d/control: set Homepage: to https://www.debian.org/doc/devel-manuals#devref

 -- Holger Levsen <holger@debian.org>  Thu, 26 Mar 2020 00:47:53 +0100
