=== debian/control ===
--- 
+++ 
@@ -21,6 +21,7 @@
 Build-Depends: debhelper-compat (= 12)
 Vcs-Git: https://salsa.debian.org/debian/developers-reference.git
 Vcs-Browser: https://salsa.debian.org/debian/developers-reference
+Homepage: https://www.debian.org/doc/devel-manuals#devref
 
 Package: developers-reference
 Architecture: all
