=== debian/rules ===
#!/usr/bin/make -f
# rules file for developers-reference

include /usr/share/dpkg/default.mk

LANGS		:= en $(shell dh_listpackages| sed -n -e 's/developers-reference-//p')

%:
	dh $@

override_dh_auto_build:
	$(MAKE) LANGS="$(LANGS)"

override_dh_compress:
	dh_compress -X.pdf -X.epub

override_dh_installdeb:
	debian/tocsubstvars
	dh_installdeb
