## developers-reference 11.0.15

=== debian/changelog ===
developers-reference (11.0.15) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Use dh_sphinxdoc instead of dh_linktree, to simplify the packaging.

 -- Holger Levsen <holger@debian.org>  Sun, 05 Jul 2020 12:24:55 +0200

developers-reference (11.0.14) unstable; urgency=medium

  * debian: avoid code copies by using dh-linktree. Thanks to a snippet from
    src:debian-policy recommends (instead of depends) on sphinx packages are
    created.
  * d/copyright: switch to machine readable DEP5 format.

 -- Holger Levsen <holger@debian.org>  Sun, 05 Jul 2020 00:55:46 +0200

developers-reference (11.0.13) unstable; urgency=medium

  * pkgs: clarify intended audience of d/changelog. Closes: #878967.
  * Update all .po files for changed strings in the English original.
  * d/rules and control: use symlinks instead of embedding libjs-jquery and
    libjs-underscore and thus add recommends to those packages. Thanks, lintian.

 -- Holger Levsen <holger@debian.org>  Sat, 27 Jun 2020 17:52:17 +0200

developers-reference (11.0.12) unstable; urgency=medium

  [ Tobias Wiese ]
  * beyond-pkging: fix dead link to policy. Closes: #962011.

  [ Holger Levsen ]
  * d/copyright and index.rst: update copyright notices. Closes: #960926.
  * Update all .po files for changed strings in the English original.
  * Bump to debhelper-compat 13.

 -- Holger Levsen <holger@debian.org>  Tue, 09 Jun 2020 02:10:56 +0200

developers-reference (11.0.11) unstable; urgency=medium

  [ Paul Wise ]
  * l10n.rst: replace ddtp2.debian.net with ddtp.debian.org.

  [ Jochen Sprickerhof ]
  * Fix build with Sphinx 2.4. Closes: #955094.
  * ressources.rst: fix Freenode FAQ links.

  [ Judit Foglszinger ]
  * pkgs.rst: add footnote clarifying removability of packages from the upload
    queue. Closes: #956818.

  [ Kentaro Hayashi ]
  * (ja) tools.po: resolve fuzzy in debiandoc-sgml.

  [ Holger Levsen ]
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Sun, 26 Apr 2020 18:44:02 +0200
