=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 LANGS		:= en $(shell dh_listpackages| sed -n -e 's/developers-reference-//p')
 
 %:
-	dh $@
+	dh $@ --with sphinxdoc
 
 override_dh_auto_build:
 	$(MAKE) LANGS="$(LANGS)"
@@ -17,3 +17,9 @@
 override_dh_installdeb:
 	debian/tocsubstvars
 	dh_installdeb
+
+override_dh_sphinxdoc:
+	dh_sphinxdoc -pdevelopers-reference usr/share/developers-reference
+	set -ex; for lang in $(filter-out en,$(LANGS)); do \
+		dh_sphinxdoc -pdevelopers-reference-$$lang usr/share/developers-reference/$$lang; \
+	done
