## developers-reference 11.0.16

=== debian/changelog ===
developers-reference (11.0.16) unstable; urgency=medium

  * resources: add link to https://db.debian.org/forward.html.
  * Update all .po files for changed strings in the English original.
  * d/rules: remove cruft.

 -- Holger Levsen <holger@debian.org>  Sat, 24 Oct 2020 14:02:30 +0200
