=== debian/control ===
--- 
+++ 
@@ -17,8 +17,8 @@
  texlive-lang-italian,
  texlive-lang-japanese,
  texlive-latex-extra,
- texlive-latex-recommended
-Build-Depends: debhelper-compat (= 12)
+ texlive-latex-recommended,
+Build-Depends: debhelper-compat (= 13)
 Vcs-Git: https://salsa.debian.org/debian/developers-reference.git
 Vcs-Browser: https://salsa.debian.org/debian/developers-reference
 Homepage: https://www.debian.org/doc/devel-manuals#devref
@@ -27,7 +27,9 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Recommends: debian-policy, sensible-utils
+Recommends: debian-policy,
+ sensible-utils,
+ ${sphinxdoc:Depends},
 Suggests: doc-base, firefox-esr | www-browser
 Description: guidelines and information for Debian developers
  This package contains the Debian Developer's Reference, a set of
@@ -48,7 +50,9 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Recommends: debian-policy, developers-reference
+Recommends: debian-policy,
+ developers-reference,
+ ${sphinxdoc:Depends},
 Suggests: doc-base
 Description: guidelines and information for Debian developers, in German
  This package contains the German translation of Debian Developer's
@@ -65,7 +69,9 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Recommends: debian-policy, developers-reference
+Recommends: debian-policy,
+ developers-reference,
+ ${sphinxdoc:Depends},
 Suggests: doc-base
 Description: guidelines and information for Debian developers, in French
  This package contains the French translation of Debian Developer's
@@ -82,7 +88,9 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Recommends: debian-policy, developers-reference
+Recommends: debian-policy,
+ developers-reference,
+ ${sphinxdoc:Depends},
 Suggests: doc-base
 Description: guidelines and information for Debian developers, in Japanese
  This package contains the Japanese translation of Debian Developer's
@@ -99,7 +107,9 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Recommends: debian-policy, developers-reference
+Recommends: debian-policy,
+ developers-reference,
+ ${sphinxdoc:Depends},
 Suggests: doc-base
 Description: guidelines and information for Debian developers, in Russian
  This package contains the Russian translation of Debian Developer's
@@ -116,7 +126,9 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Recommends: debian-policy, developers-reference
+Recommends: debian-policy,
+ developers-reference,
+ ${sphinxdoc:Depends},
 Suggests: doc-base
 Description: guidelines and information for Debian developers, in Italian
  This package contains the Italian translation of Debian Developer's
