## developers-reference 11.0.18

=== debian/changelog ===
developers-reference (11.0.18) unstable; urgency=medium

  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Sun, 17 Jan 2021 23:29:13 +0100

developers-reference (11.0.17) unstable; urgency=medium

  [ Nicolas Boulenguez ]
  * README.contributing: update-po requires sphinx-intl.
  * best-pkging-practices: Long descriptions may reuse paragraphs.

  [ Holger Levsen ]
  * Update standards version to 4.5.1, no changes needed.
  * debian/copyright and index.rst: update my copyright years.

 -- Holger Levsen <holger@debian.org>  Sun, 17 Jan 2021 22:45:57 +0100
