## developers-reference 11.0.20

=== debian/changelog ===
developers-reference (11.0.20) unstable; urgency=medium

  [ Judit Foglszinger ]
  * removing freenode and moving reference to cloaks to Debian wiki.
    Closes: 990054.

  [ Holger Levsen ]
  * Update all .po files for changed strings in the English original.
  * fix typo in previous d/changelog entry

 -- Holger Levsen <holger@debian.org>  Fri, 18 Jun 2021 23:50:52 +0200

developers-reference (11.0.19) unstable; urgency=medium

  [ Tobias Wiese ]
  * Add lost spaces to parts that include literals. Closes: #987930.
    Thanks to Simon Josefsson for the bug report.

  [ Jean-Pierre Giraud ]
  * (fr) update locales/fr/LC_MESSAGES.

  [ Holger Levsen ]
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Wed, 05 May 2021 19:56:16 +0200
