## developers-reference 11.0.21

=== debian/changelog ===
developers-reference (11.0.21) unstable; urgency=medium

  * best-pkging-practices: replace 'atter' with 'other', with thanks to
    Jeremy Bicha. Closes: #991291
  * pkgs: update releases used in examples for the time when bullseye is
    stable.
  * resources: update 'dak ls evince' example output.
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Tue, 20 Jul 2021 15:20:35 +0200
