## developers-reference 12.0

=== debian/changelog ===
developers-reference (12.0) unstable; urgency=medium

  [ Thomas Goirand ]
  * pkgs: document contributing to backports with the help from backports
    FTP masters. Closes: #793633

  [ Marco Villegas ]
  * best-pkging-practices: add a security related section. Closes: #337086
  * Fix some typos.

  [ Geoffroy Youri Berret ]
  * Fix typos in README.contributing.

  [ Daniel Shahaf ]
  * Fix typo in d/control.

  [ Philip Hands ]
  * Fix typo.

  [ Holger Levsen ]
  * Embrace bookworm. Simplify versioning.
  * Update all .po files for changed strings in the English original.
  * Update standards version to 4.6.0, no changes needed.

 -- Holger Levsen <holger@debian.org>  Thu, 02 Sep 2021 01:44:56 +0200
