=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Developers Reference Maintainers <debian-policy@lists.debian.org>
 Uploaders: Hideki Yamane <henrich@debian.org>,
  Holger Levsen <holger@debian.org>,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Build-Depends-Indep: latexmk,
  python3-sphinx,
@@ -42,7 +42,7 @@
  ${TOC:en}
  .
  This package contains the English version of the Developer's
- Reference.  The French, German, Italy, Russian and Japanese translations are
+ Reference.  The French, German, Italian, Russian and Japanese translations are
  available in developers-reference-fr, developers-reference-de,
  developers-reference-it, developers-reference-ru and developers-reference-ja.
