## developers-reference 12.3

=== debian/changelog ===
developers-reference (12.3) unstable; urgency=medium

  [ Stephan Lachnit ]
  * beyond-pkging: add section for granting upload permissions to DMs.

  [ Christoph Berg ]
  * resources.rst: add pointer to https://github.com/Debian

  [ Geoffroy Youri Berret ]
  * Use distro-info instead of hardcoding version numbers. Closes: #930565

  [ Philippe SWARTVAGHER ]
  * fr/tools.po: fix formatting issues. Closes: #1005357

  [ Holger Levsen ]
  * beyond-pkging: improve section for granting upload permissions to DMs.
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Apr 2022 15:01:11 +0200

developers-reference (12.2) unstable; urgency=medium

  [ xiao sheng wen ]
  * pkgs.rst: add one space between an URL and word.

  [ Holger Levsen ]
  * pkgs.rst and best-pkging-practices.rst: drop last two remaining examples
    mentioning dpatch and cdbs.
  * index.rst and d/copyright: update my copyright years.
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Fri, 07 Jan 2022 13:30:40 +0100

developers-reference (12.1) unstable; urgency=medium

  [ Kentaro Hayashi ]
  * best-pkging-practices and pkgs: Fix broken nested inline markup.

  [ Holger Levsen ]
  * Update all .po files for changed strings in the English original.
  * d/control: add tex-gyre to Build-Depends-Indep to address ftbfs in sid.

 -- Holger Levsen <holger@debian.org>  Thu, 14 Oct 2021 15:11:49 +0200
