=== debian/control ===
--- 
+++ 
@@ -7,8 +7,10 @@
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Build-Depends-Indep: latexmk,
+ python3-distro-info,
  python3-sphinx,
  python3-stemmer,
+ tex-gyre,
  texinfo,
  texlive-fonts-recommended,
  texlive-lang-cyrillic,
