## developers-reference 12.4

=== debian/changelog ===
developers-reference (12.4) unstable; urgency=medium

  [ Enrico Zini ]
  * pkgs: remove requirement that security uploads have urgency=high.
    Closes: #1010559

  [ Holger Levsen ]
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Wed, 04 May 2022 13:55:02 +0200
