## developers-reference 12.6

=== debian/changelog ===
developers-reference (12.6) unstable; urgency=medium

  * developer-duties: replace alioth with salsa. Closes: #1016752
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Sat, 06 Aug 2022 17:32:03 +0200

developers-reference (12.5) unstable; urgency=medium

  [ Antoine Beaupré ]
  * best-pkging-practices:
    - debian-policy 4.1.4 deprecated get-orig-source, mention that and
      alternatives.
    - move urgency delays into the urgency section, keep backref, expand.

  [ Holger Levsen ]
  * README.contributing: explain how to update translations after updates of
    English sources.
  * Update all .po files for changed strings in the English original.
  * d/control: bump standards version to 4.6.1.

 -- Holger Levsen <holger@debian.org>  Fri, 03 Jun 2022 18:06:52 +0200
