## developers-reference 12.7

=== debian/changelog ===
developers-reference (12.7) unstable; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * pkgs.rst: document how to use dcut to cancel a DELAYED upload.

  [ Akbarkhon Variskhanov ]
  * pkgs.rst: improve `Closes: #XXXXXX` regex pattern.

  [ Holger Levsen ]
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Tue, 25 Oct 2022 14:55:20 +0200
