## developers-reference 12.8

=== debian/changelog ===
developers-reference (12.8) unstable; urgency=medium

  [ Simon McVittie ]
  * pkgs: recommend source-only uploads when possible, and describe when they
    are not. Closes: #1015784

  [ Akbarkhon Variskhanov ]
  * resources: fix minor typo.

  [ Holger Levsen ]
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Mon, 14 Nov 2022 13:46:52 +0100
