## developers-reference 12.9

=== debian/changelog ===
developers-reference (12.9) unstable; urgency=medium

  * pkgs: fixup dcut syntax from last upload, thanks josch.
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Mon, 21 Nov 2022 23:07:18 +0100
