## developers-reference 12.10

=== debian/changelog ===
developers-reference (12.10) unstable; urgency=medium

  [ Grzegorz Szymaszek ]
  * best-pkging-practices: rename GTK+ to GTK as per
    https://mail.gnome.org/archives/gtk-devel-list/2019-February/msg00000.html

  [ Holger Levsen ]
  * c/control: bump standards version to 4.6.2, no changes needed.
  * d/copyright and index.rst: bump my copyright years.
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Thu, 05 Jan 2023 17:43:06 +0100
