## developers-reference 12.11

=== debian/changelog ===
developers-reference (12.11) unstable; urgency=medium

  [ Grzegorz Szymaszek ]
  * Update .po files after GTK rename in 12.10.
  * resources: fix "The testing distribution" link label.
  * Update .po files after the "The testing distribution" link label fix.

 -- Holger Levsen <holger@debian.org>  Wed, 11 Jan 2023 09:51:31 +0100
