## developers-reference 12.15

=== Makefile ===
--- 
+++ 
@@ -44,7 +44,7 @@
 LANGS_NOPDF = it ru
 
 # All output formats
-FORMATS     ?= text pdf nopdf epub info html # singlehtml
+FORMATS     ?= text pdf nopdf epub info html singlehtml
 
 # Conversion programs to use.  Export these so that they're visible to
 # submakes.
@@ -172,15 +172,10 @@
 # A list of multi-file HTML index.html files for all $(LANGS)
 HTMLS_FILES  := $(foreach l,$(LANGS),					\
 		$(BUILD_DIR)/$(l)/singlehtml/$(PACKAGE).html)
-
-htmls: $(HTMLS_FILES)
-
-# Single HTML doesn't build its own geninde.html nor search.html
+singlehtml: $(HTMLS_FILES)
+
+# Single HTML doesn't build its own genindex.html nor search.html
 # I keep this code inspired by Debian Policy as a place holder
-# This is not used due to bugs apear for Single HTML:
-#  * https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=873456
-#  * https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=876075
-#  * https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=879048
 $(BUILD_DIR)/%/singlehtml/$(PACKAGE).html: $(SOURCE_FILES)
 	$(SPHINX) -b singlehtml -D language=$* -d $(BUILD_DIR)/$* $(SOURCE_DIR) $(@D)
 	mv $(@D)/index.html $(@D)/$(PACKAGE).html
@@ -256,12 +251,13 @@
 	[ -e $$f ] && cp -f $$f $(DESTDIR)$(infodir) || true ;		\
 	done
 	# singlehtml files
-	# don't install Sphinx singlehtml output until various bugs
-	# are fixed upstream (e.g. #873456, #876075, #879048)
-	#cp $(BUILD_DIR)/en/singlehtml/$(PACKAGE).html $(DESTDIR)$(datadir)
-	#@set -ex; for l in $(filter-out en,$(LANGS)); do		\
-	#cp $(BUILD_DIR)/$$l/singlehtml/$(PACKAGE).html $(DESTDIR)$(datadir)/$$l ;	\
-	#done
+	cp $(BUILD_DIR)/en/singlehtml/$(PACKAGE).html $(DESTDIR)$(datadir)
+	@set -ex; for l in $(filter-out en,$(LANGS)); do		\
+	cp $(BUILD_DIR)/$$l/singlehtml/$(PACKAGE).html $(DESTDIR)$(datadir)/$$l ;	\
+	done
+	# fixup genindex
+	find $(DESTDIR)$(datadir) -name genindex.html -delete
+	find $(DESTDIR)$(datadir) -name '*.html' -exec sed -i 's#genindex.html#index.html#' "{}" \;
 
 .PHONY: all
 .PHONY: FORCE_MAKE
