=== debian/changelog ===
developers-reference (12.15) unstable; urgency=medium

  * Upload to unstable.

 -- Holger Levsen <holger@debian.org>  Thu, 09 Feb 2023 18:11:33 +0100

developers-reference (12.14) experimental; urgency=medium

  * Build single page HTML manuals again. Closes: #658825.
  * Drop empty genindex.html pages and replaces links to it with ones to
    index.html.
  * pkgs: fix unexpected indentation warning.
  * *.rst: improve syntax highlighting for code and similar blocks.
  * Update all .po files for changed strings in the English original.
  * Drop existing d/*.lintian-overrides and reword placeholder 'Closes: #'
    entries in previous d/changelog entries.
  * d/changelog: clarify 12.13 entry.

 -- Holger Levsen <holger@debian.org>  Thu, 09 Feb 2023 17:43:54 +0100

developers-reference (12.13) experimental; urgency=medium

  * d/tests:
    - add autopkgtest to validate XML and HTML files, thanks to Aurélien
      COUDERC who added some to src:desktop-base, which were then taken
      by Wolfgang Schweer to src:debian-edu, which I then took and modified
      to exclude a template and the (sphinx generated) search.html file.
    - add small README explaining how to run autopkgtests locally.

 -- Holger Levsen <holger@debian.org>  Wed, 08 Feb 2023 14:03:00 +0100

developers-reference (12.12) unstable; urgency=medium

  * pkgs and ressources: explain the new non-free-firmware section (written
    under the assumption that bookworm is stable; currently stable does not
    have a non-free-firmware section).
  * tools: add a pointer to https://wiki.debian.org/debian/watch where watch
    files are mentioned. Thanks to #660193
  * Update all .po files for changed strings in the English original.
  * d/*.lintian-overrides: override a false positive about 'Closes: #' regex
    entries in d/changelog.
  * Fix spelling of "resources" in older d/changelog entries.

 -- Holger Levsen <holger@debian.org>  Mon, 06 Feb 2023 20:14:34 +0100
