## developers-reference 12.16

=== debian/changelog ===
developers-reference (12.16) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Recommend using Git in the Vcs-* section, and link to DEP-14.

  [ Holger Levsen ]
  * Makefile: improve status target to show translation stats, thanks to
    Paul Gevers showing me how it's done for the release notes.
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Mon, 20 Feb 2023 13:58:42 +0100
