## developers-reference 12.18

=== debian/changelog ===
developers-reference (12.18) unstable; urgency=medium

  [ Guillem Jover ]
  * developer-duties, new-maintainer, tools, resources: update OpenPGP
    information.
  * resources: fix grammar in Alioth entry.

  [ Holger Levsen ]
  * README.contributing: encourage merge requests. Drop reference to very old
    bug from docbook times.
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Mon, 06 Mar 2023 19:06:57 +0100

developers-reference (12.17) unstable; urgency=medium

  [ Guillem Jover ]
  * tools: update documentation for dupload and dput.

  [ Holger Levsen ]
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Sun, 05 Mar 2023 21:12:10 +0100
