## developers-reference 13.2

=== debian/changelog ===
developers-reference (13.2) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * pkgs: add Policy pointer for stable version numbers.

  [ Holger Levsen ]
  * best-pkg-practices: use "libxml2" instead of "lyx" as example of using
    .install files.
  * Update all .po files for changed strings in the English original.

  [ Kentaro Hayashi ]
  * Japanese translation: resolve all fuzzy strings.

 -- Holger Levsen <holger@debian.org>  Thu, 06 Jul 2023 19:45:17 +0200

developers-reference (13.1) unstable; urgency=medium

  * Start 13.x series, hello trixie!
  * pkgs + resources: update references to older releases.
  * Update all .po files for changed strings in the English original.
  * Unfuzzy strings in German translation.

 -- Holger Levsen <holger@debian.org>  Sat, 17 Jun 2023 22:08:46 +0200

developers-reference (12.19) unstable; urgency=medium

  [ Holger Levsen ]
  * pkgs: explicitly state that $suite should be used in d/changelog for
    uploads to stable-updates.

  [ Carsten Schoenert ]
  * Updating German translation of non translated strings, proof reading and
    small fixups of typos etc, bringing the German translation back to 100%
    complete.

 -- Holger Levsen <holger@debian.org>  Thu, 01 Jun 2023 15:07:29 +0200
