## developers-reference 13.3

=== debian/changelog ===
developers-reference (13.3) unstable; urgency=medium

  * l10n: overhaul of i18n / l10n chapter. Thanks to Holger Wansing.
    Closes: #1042779
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Sat, 05 Aug 2023 16:15:53 +0200
