## developers-reference 13.4

=== Makefile ===
--- 
+++ 
@@ -203,10 +203,10 @@
 
 # Show translation status
 status:
-	@set -ex; for l in $(filter-out en,$(LANGS)); do		\
+	for l in $(filter-out en,$(LANGS)); do		\
 		if [ -d $(SOURCE_DIR)/locales/$$l/LC_MESSAGES ] ; then	\
-		    find $(SOURCE_DIR)/locales/$$l/LC_MESSAGES -name 	\
-			'*.po' -exec msgfmt -vv {} -o /dev/null \; ;	\
+			echo -n "Stats for $$l: " ;			\
+			msgcat --use-first $(SOURCE_DIR)/locales/$$l/LC_MESSAGES/*.po | msgfmt --statistics - 2>&1 ; \
 		fi ;							\
 	done
