=== debian/changelog ===
developers-reference (13.4) unstable; urgency=medium

  [ Kentaro Hayashi ]
  * (ja) beyond-pkging.po: update 7.5.1 translation.
  * (ja) beyond-pkging.po: update 7.5.2 translation.

  [ Dr. Tobias Quathamer ]
  * (de) pkgs.po: Update translation

 -- Holger Levsen <holger@debian.org>  Sat, 23 Dec 2023 14:43:52 +0100
