## developers-reference 13.6

=== debian/changelog ===
developers-reference (13.6) unstable; urgency=medium

  [ James Addison ]
  * source/_static/switchers.js: repair the language-selection functionality
    by migrating from jQuery to built-in browser DOM functions.
    (Closes: debian/developers-reference#48)

 -- Holger Levsen <holger@debian.org>  Mon, 22 Apr 2024 13:10:06 +0200

developers-reference (13.5) unstable; urgency=medium

  [ Bastian Germann ]
  * best-pkging-practices: do not hint to use several Vcs fields for one pkg.

  [ Holger Levsen ]
  * Update all .po files for changed strings in the English original.
  * Bump standards version to 4.7.0, no changes needed.

 -- Holger Levsen <holger@debian.org>  Sun, 07 Apr 2024 13:19:29 +0200
