## developers-reference 13.7

=== debian/changelog ===
developers-reference (13.7) unstable; urgency=medium

  [ Holger Wansing ]
  * Switch to the 'official' Debian-style html theme. (see MR!49)
  * Add language switcher in sidebar.
  * Add additional build-depends needed for our new theme.

 -- Holger Levsen <holger@debian.org>  Sun, 16 Jun 2024 18:48:20 +0200
