=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  python3-distro-info,
  python3-sphinx,
  python3-stemmer,
+ python3-sphinx-rtd-theme,
  tex-gyre,
  texinfo,
  texlive-fonts-recommended,
