## developers-reference 13.9

=== debian/changelog ===
developers-reference (13.9) unstable; urgency=medium

  [ Lee Garrett ]
  * pkgs.rst: add info to not close p-u bugs via debian/changelog.
  * README.contributing: slight clarification.
  * Rename README.contributing to README.md.
  * Convert README to markdown.

  [ Holger Levsen ]
  * pkgs.rst: improve wording.
  * d/tests/xmllint-functions: ignore all _templates/ Closes: #1076489.
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Sun, 18 Aug 2024 16:16:39 +0900

developers-reference (13.8) unstable; urgency=medium

  [ Dorle Osterode ]
  * Update German translations of
    - best-pkging-practices.po.
    - pkgs.po.
    - de) l10n.po.

  [ Holger Levsen ]
  * source/_templates/layout.html: replace "&mdash;" with "–" because mdash
    is not defined in the DTD we are using. Closes: #1076489

 -- Holger Levsen <holger@debian.org>  Mon, 05 Aug 2024 16:14:38 +0900
