## developers-reference 13.10

=== debian/changelog ===
developers-reference (13.10) unstable; urgency=medium

  [ Dorle Osterode ]
  * (de) pkgs.po: Update translation.

 -- Holger Levsen <holger@debian.org>  Sat, 24 Aug 2024 10:48:02 +0200
